<div id="customer">
  <div class="d-sm-flex align-center justify-space-between">
    <div class="d-flex align-center">
      <p class="mb-0 h6 black--text">
        Customer
      </p>
    </div>
    <div class="d-flex align-center mt-3 mt-sm-0" id="hideBottomInput">
      <div>
        <v-text-field dense outlined v-model="config.search" prepend-inner-icon="mdi-magnify" style="width: 320px"
          background-color="#ffffff" @keyup.enter="onGetListCustomer()" placeholder="Search by ID...">
        </v-text-field>
      </div>
    </div>
  </div>
  <div class="mt-4">
    <div>
      <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
      </v-skeleton-loader>
      <div v-else>
        <v-card class="ui-card pb-4">
          <v-simple-table class="scrollTable c-pointer" fixed-header
            style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
            <template v-slot:default>
              <thead>
                <tr>
                  <th class="px-0">
                    <div class="d-flex align-center" style="width: 40px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                        No.
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        email
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        status
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Created At
                      </p>
                    </div>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(user,i) in listUser" :key="user._id">
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                        {{(config.limit * (config.page -1)) + i + 1}}
                      </p>
                    </div>
                  </td>
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <p class="mb-0 fsize-13 colorGreyHeaderTable ml-2">
                        {{user.email}}
                      </p>
                    </div>
                  </td>
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <v-switch class="mt-0 pt-0" dense inset v-model="user.isActive" @change="onActiveUser(user)"
                        :disabled="userInfo.role === 1">
                      </v-switch>
                    </div>
                  </td>
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                        {{user.createdAt && formatDate(user.createdAt) }}
                      </p>
                    </div>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div class="d-flex justify-center my-2" v-if="listUser.length == 0 && !loadingTable">
            <span>No user list yet</span>
          </div>
          <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center">
            <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
            </v-pagination>
            <div id="hideBottomInput" class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0">
              <v-text-field dense outlined v-model.number="page" placeholder="Go to page">
              </v-text-field>
              <div class="button-inside-input">
                <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
                  @click="onRedirectPage()">
                  <v-icon color="#ffffff">
                    mdi-chevron-right
                  </v-icon>
                </v-btn>
              </div>
            </div>
          </div>
        </v-card>
      </div>
    </div>
  </div>
</div>